Skip to main content
POST
/
v1
/
transactions
/
{entity_id}
Create Transaction
curl --request POST \
  --url https://api.example.com/v1/transactions/{entity_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "item_id": "<string>",
  "store_id": "<string>",
  "transaction_timestamp": "2023-11-07T05:31:56Z",
  "quantity": 123,
  "selling_price": 123,
  "sku": "<string>",
  "region": "<string>",
  "sales_value": 123,
  "gross_profit": 123,
  "stock_after_sale": 123,
  "regular_price": 123,
  "promo_type": "<string>",
  "zone_price": 123,
  "external_transaction_id": "<string>",
  "unit_cost": 123,
  "discount_rate": 123,
  "currency": "<string>",
  "tax_rate": 123,
  "transaction_type": "<string>"
}
'
import requests

url = "https://api.example.com/v1/transactions/{entity_id}"

payload = {
"item_id": "<string>",
"store_id": "<string>",
"transaction_timestamp": "2023-11-07T05:31:56Z",
"quantity": 123,
"selling_price": 123,
"sku": "<string>",
"region": "<string>",
"sales_value": 123,
"gross_profit": 123,
"stock_after_sale": 123,
"regular_price": 123,
"promo_type": "<string>",
"zone_price": 123,
"external_transaction_id": "<string>",
"unit_cost": 123,
"discount_rate": 123,
"currency": "<string>",
"tax_rate": 123,
"transaction_type": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
item_id: '<string>',
store_id: '<string>',
transaction_timestamp: '2023-11-07T05:31:56Z',
quantity: 123,
selling_price: 123,
sku: '<string>',
region: '<string>',
sales_value: 123,
gross_profit: 123,
stock_after_sale: 123,
regular_price: 123,
promo_type: '<string>',
zone_price: 123,
external_transaction_id: '<string>',
unit_cost: 123,
discount_rate: 123,
currency: '<string>',
tax_rate: 123,
transaction_type: '<string>'
})
};

fetch('https://api.example.com/v1/transactions/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "item_id": "<string>",
  "sku": "<string>",
  "region": "<string>",
  "sales_value": "<string>",
  "gross_profit": "<string>",
  "stock_after_sale": "<string>",
  "regular_price": "<string>",
  "promo_type": "<string>",
  "zone_price": "<string>",
  "external_transaction_id": "<string>",
  "unit_cost": "<string>",
  "discount_rate": "<string>",
  "currency": "<string>",
  "tax_rate": "<string>",
  "transaction_type": "<string>",
  "store_id": "<string>",
  "transaction_timestamp": "2023-11-07T05:31:56Z",
  "quantity": "<string>",
  "selling_price": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Path Parameters

entity_id
string<uuid>
required

Body

application/json
item_id
string
required
store_id
string
required
transaction_timestamp
string<date-time>
required
quantity
required
selling_price
required
sku
string | null
region
string | null
sales_value
gross_profit
stock_after_sale
regular_price
promo_type
string | null
zone_price
external_transaction_id
string | null
unit_cost
discount_rate
currency
string | null
tax_rate
transaction_type
string | null

Response

Successful Response

id
string<uuid>
required
item_id
string
required
sku
string | null
region
string | null
sales_value
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
gross_profit
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
stock_after_sale
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
regular_price
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
promo_type
string | null
zone_price
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
external_transaction_id
string | null
unit_cost
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
discount_rate
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
string | null
tax_rate
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
transaction_type
string | null
store_id
string | null
transaction_timestamp
string<date-time> | null
quantity
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
selling_price
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$